is_linear_bitmap(3)

NAME
is_linear_bitmap

SYNOPSIS
#include <allegro.h>

int is_linear_bitmap(BITMAP *bmp);

DESCRIPTION
Returns TRUE if bmp is a linear bitmap, i.e. a bitmap that can be accessed linearly within each scanline (for example a memory bitmap, the DOS VGA or SVGA screen, Windows bitmaps, etc). Linear bitmaps can be used with the _putpixel(), _getpixel(), bmp_write_line(), and bmp_read_line() functions. Historically there were only linear and planar bitmaps for Allegro, so is_linear_bitmap is actually an alias for !is_planar_bitmap.

SEE ALSO
is_planar_bitmap(3), is_memory_bitmap(3)